%global _empty_manifest_terminate_build 0
Name:		python-libconf
Version:	2.0.1
Release:	1
Summary:	A pure-Python libconfig reader/writer with permissive license
License:	MIT
URL:		https://github.com/Grk0/python-libconf
Source0:	https://github.com/ChrisAichinger/python-libconf/archive/%{version}/libconf-%{version}.tar.gz
BuildArch:	noarch


%description


%package -n python3-libconf
Summary:	A pure-Python libconfig reader/writer with permissive license
Provides:	python-libconf
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-libconf


%package help
Summary:	Development documents and examples for libconf
Provides:	python3-libconf-doc
%description help


%prep
%autosetup -n libconf-2.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-libconf -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 28 2022 Python_Bot <Python_Bot@openeuler.org> - 2.0.1-1
- Package Spec generated
